package cn.com.ty.lift.ud.dataBank.mapper.entity;

public class CategoryConstant {
    public static final Integer MANUAL_NUM = 1;
    public static final String MANUAL_NAME = "'使用手册'";
    public static final String MANUAL_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/使用手册.png'";


    public static final Integer LIGHT_CURTAIN_NUM = 2;
    public static final String LIGHT_CURTAIN_NAME = "'光幕'";
    public static final String LIGHT_CURTAIN_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/光幕.png'";



    public static final Integer DOOR_MACHINE_NUM = 3;
    public static final String DOOR_MACHINE_NAME = "'门机'";
    public static final String DOOR_MACHINE_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/门机.png'";



    public static final Integer TRAINING_NUM = 4;
    public static final String TRAINING_NAME = "'培训'";
    public static final String TRAINING_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/培训.png'";




    public static final Integer DEBUGGING_NUM = 5;
    public static final String DEBUGGING_NAME = "'调试手册及资料'";
    public static final String DEBUGGING_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/调试手册及资料.png'";




    public static final Integer DRAWING_NUM = 6;
    public static final String DRAWING_NAME = "'图纸'";
    public static final String DRAWING_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/图纸.png'";




    public static final Integer REPAIRING_NUM = 7;
    public static final String REPAIRING_NAME = "'维修及维修资料'";
    public static final String REPAIRING_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/维修及维修资料.png'";




    public static final Integer INSTALLATION_NUM = 8;
    public static final String INSTALLATION_NAME = "'安装工艺'";
    public static final String INSTALLATION_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/安装工艺.png'";



    public static final Integer OTHER_NUM = 9;
    public static final String OTHER_NAME = "'其他资料'";
    public static final String OTHER_PIC_URL = "'https://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/library_category_icon/其他资料.png'";


    public static String getStairsLift(Long brandId,Integer pid){
        StringBuilder sb = new StringBuilder("");
        sb.append("insert into lift_category(brand_id,pid,name,icon,statuz,sort) values")
                .append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(MANUAL_NAME).append(",")
                .append(MANUAL_PIC_URL).append(",")
                .append("0").append(",")
                .append(MANUAL_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(LIGHT_CURTAIN_NAME).append(",")
                .append(LIGHT_CURTAIN_PIC_URL).append(",")
                .append("0").append(",")
                .append(LIGHT_CURTAIN_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(DOOR_MACHINE_NAME).append(",")
                .append(DOOR_MACHINE_PIC_URL).append(",")
                .append("0").append(",")
                .append(DOOR_MACHINE_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(TRAINING_NAME).append(",")
                .append(TRAINING_PIC_URL).append(",")
                .append("0").append(",")
                .append(TRAINING_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(DEBUGGING_NAME).append(",")
                .append(DEBUGGING_PIC_URL).append(",")
                .append("0").append(",")
                .append(DEBUGGING_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(DRAWING_NAME).append(",")
                .append(DRAWING_PIC_URL).append(",")
                .append("0").append(",")
                .append(DRAWING_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(REPAIRING_NAME).append(",")
                .append(REPAIRING_PIC_URL).append(",")
                .append("0").append(",")
                .append(REPAIRING_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(INSTALLATION_NAME).append(",")
                .append(INSTALLATION_PIC_URL).append(",")
                .append("0").append(",")
                .append(INSTALLATION_NUM).append(")").append(",");

        sb.append("(").append(brandId).append(",")
                .append(pid).append(",")
                .append(OTHER_NAME).append(",")
                .append(OTHER_PIC_URL).append(",")
                .append("0").append(",")
                .append(OTHER_NUM).append(")");

        return sb.toString();
    }

}
